OPAL-CHECKPOINT(1)

NAME
opal-checkpoint - Checkpoint a running sequential process using the Open PAL Checkpoint/Restart Service (CRS).

Note: This should only be used by the user if the application being checkpointed is an OPAL-only application. If it is an Open RTE or Open MPI program their respective tools should be used.

SYNOPSIS
opal-checkpoint [ options ] <PID>

Options
opal-checkpoint will attempt to notify a running process that it has been requested that the process checkpoint itself. A snapshot handle reference is presented to the user, which is used in opal_restart to restart the process.

<PID>
    Process ID of the running target process.

-h | --help
    Display help for this command

--term
    After checkpointing the running process, terminate it.

-v | --verbose
    Enable verbose output for debugging.

-n | --name
    Request a specific name for the local snapshot reference.

-w | --where
    Request that the local snapshot reference be placed in a specific location.

-gmca | --gmca <key> <value>
    Pass global MCA parameters that are applicable to all contexts. <key> is the parameter name; <value> is the parameter value.

-mca | --mca <key> <value>
    Send arguments to various MCA modules.

DESCRIPTION

opal-checkpoint can be invoked multiple, non-overlapping times. This allows the user to take involuntary checkpoints of a running sequential process. See opal_crs(7) for more information about the CRS framework and components. It is convenient to note that the user does not need to spectify the checkpointer to be used here, as that is determined completely by the running process being checkpointed.

SEE ALSO
  opal-restart(1), opal_crs(7)